Bug 1195905 - X crashes on Fedora 22 32-bit live images with "stack smashing detected" and a libinput-related backtrace
Summary: X crashes on Fedora 22 32-bit live images with "stack smashing detected" and ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 22
Hardware: i686
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F22AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-02-24 20:32 UTC by Adam Williamson
Modified: 2015-03-03 04:20 UTC (History)
6 users (show)

Fixed In Version: xorg-x11-drv-libinput-0.7.0-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-03 04:20:14 UTC
Type: Bug


Attachments (Terms of Use)
full journal output from an affected boot (248.76 KB, text/plain)
2015-02-24 21:13 UTC, Adam Williamson
no flags Details
journalctl -a (310.55 KB, text/plain)
2015-02-24 21:22 UTC, Chris Murphy
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 89300 None None None Never

Description Adam Williamson 2015-02-24 20:32:14 UTC
When booting a current Fedora 22 nightly 32-bit live image, e.g.:

https://kojipkgs.fedoraproject.org/work/tasks/2668/9052668/Fedora-Live-Workstation-i686-22-20150224.iso

if you get past https://bugzilla.redhat.com/show_bug.cgi?id=1195899 - which seems to be intermittent, so just keep booting till you win the lottery - X fails to start.

switching to ctrl-alt-f2 and examining the journal, we can see an X crash which seems to point to libinput:

Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: *** stack smashing detected ***: /usr/libexec/Xorg terminated
Feb 24 15:25:01 localhost Xorg[1667]: <audit-1701> auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:xserver_t:s0-s0:c0.c1023 pid=1667 comm="Xorg" exe="/usr/libexec/Xorg" sig=6
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: ======= Backtrace: =========
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /lib/libc.so.6(+0x6b716)[0xb71d5716]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /lib/libc.so.6(__fortify_fail+0x37)[0xb7274837]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /lib/libc.so.6(+0x10a7f8)[0xb72747f8]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/lib/xorg/modules/input/libinput_drv.so(_fini+0x0)[0xb6d8b9c4]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/lib/xorg/modules/input/libinput_drv.so(+0x33fa)[0xb6d893fa]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/lib/xorg/modules/input/libinput_drv.so(+0x4683)[0xb6d8a683]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/libexec/Xorg(ActivateDevice+0x5d)[0x8070d7d]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/libexec/Xorg[0x80d16c9]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/libexec/Xorg[0x80e96f3]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/libexec/Xorg[0x80e9d7f]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/libexec/Xorg(config_init+0x15)[0x80e8405]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/libexec/Xorg(InitInput+0xd2)[0x80c4192]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/libexec/Xorg[0x8081963]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/libexec/Xorg[0x8069dbf]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /lib/libc.so.6(__libc_start_main+0xf7)[0xb71826c7]
Feb 24 15:25:01 localhost /usr/libexec/gdm-x-session[1665]: /usr/libexec/Xorg[0x8069de5]

I will attach the full journalctl output.

This looks like an Alpha blocker: "Release-blocking live images must boot to the expected boot menu, and then to a desktop or to a login prompt where it is clear how to log in to a desktop." - https://fedoraproject.org/wiki/Fedora_22_Alpha_Release_Criteria#Expected_image_boot_behavior

Comment 1 Adam Williamson 2015-02-24 21:13:54 UTC
Created attachment 994874 [details]
full journal output from an affected boot

Comment 3 Peter Hutterer 2015-02-24 23:05:46 UTC
xorg-x11-drv-libinput-0.7.0-2.fc22
http://koji.fedoraproject.org/koji/taskinfo?taskID=9058733

xorg-x11-drv-libinput-0.7.0-2.fc23
http://koji.fedoraproject.org/koji/taskinfo?taskID=9058763

should fix this issue, please close when verified, thanks.

Comment 4 Adam Williamson 2015-02-25 00:57:19 UTC
Thanks. Bodhi is active for F22 now, so could you please submit the F22 build as an update? Thanks!

Comment 5 Fedora Update System 2015-02-25 03:04:10 UTC
xorg-x11-drv-libinput-0.7.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xorg-x11-drv-libinput-0.7.0-3.fc22

Comment 6 Fedora Update System 2015-02-25 03:04:54 UTC
xorg-x11-drv-libinput-0.7.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xorg-x11-drv-libinput-0.7.0-2.fc22

Comment 7 Fedora Update System 2015-02-25 15:15:21 UTC
Package xorg-x11-drv-libinput-0.7.0-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-libinput-0.7.0-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2551/xorg-x11-drv-libinput-0.7.0-3.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-02-25 22:26:28 UTC
xorg-x11-drv-libinput-0.7.0-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xorg-x11-drv-libinput-0.7.0-4.fc22

Comment 9 Petr Schindler 2015-03-02 18:40:24 UTC
Discussed at today's blocker review meeting [1].

This bug was accepted as Alpha Blocker - This bug is a clear violation of the Alpha criterion: "Release-blocking live images must boot to the expected boot menu, and then to a desktop or to a login prompt where it is clear how to log in to a desktop."

http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-02/

Comment 10 Fedora Update System 2015-03-03 04:20:14 UTC
xorg-x11-drv-libinput-0.7.0-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.